package com.wd.workoffice.bean.workEnum;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public enum OrderDeptPermission {
    SALE("销售下单", "ES_BUY"), OUT_BUY("外采购下单", "PURCHASE_BUY"),
    SUPPLIER("供应下单", "SUPPLY_BUY"), CRUCIBLE("坩埚下单", "CRUCIBLE_BUY"), IN("内部交易下单", "INSIDE_BUY"),
    REPAIR_BUY("维修下单", "REPAIR_BUY"), FISCAL_TAX_BUY("交税下单", "FISCAL_TAX_BUY"),
    LOAN_BUY("贷款下单", "LOAN_BUY");

    private String name;
    private String code;

    OrderDeptPermission(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
